For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Cart Emails
        • Custom Template Associations
        • Email Templates
        • Pages
            • GETList Pages
            • POSTCreate Pages
            • PUTUpdate Pages
            • DELDelete Pages
            • GETGet Page
            • PUTUpdate Page
            • DELDelete Page
        • Marketing
        • Store Content
        • Themes
        • Widgets
        • Page Widgets
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminContentPages

Get Page

GET
https://api.bigcommerce.com/stores/:store_hash/v3/content/pages/:pageId
GET
/stores/:store_hash/v3/content/pages/:pageId
$curl https://api.bigcommerce.com/stores/store_hash/v3/content/pages/pageId \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "data": {
3 "id": 5,
4 "channel_id": 1,
5 "name": "Contact Us",
6 "is_visible": true,
7 "parent_id": 0,
8 "sort_order": 3,
9 "type": "contact_form",
10 "is_homepage": false,
11 "is_customers_only": true,
12 "meta_title": "Get in Touch with Our Team",
13 "email": "support@bigcommerce.com",
14 "meta_keywords": "contact, support, help, customer service",
15 "contact_fields": "fullname,companyname,phone,orderno,rma",
16 "meta_description": "Use this form to contact our customer support team for assistance.",
17 "search_keywords": "contact, support, customer service"
18 },
19 "meta": {}
20}
Returns one content page. > #### Warning > **Pay attention to query parameters** > This endpoint recognizes the same query parameters as [Get Multiple Pages](/developer/api-reference/rest/admin/content/pages/get-pages). If the requested page does not meet the query parameters you specify, you will receive a 404 response even if the requested `pageId` does exist.
Was this page helpful?
Previous

Delete Pages

Next

Update Page

Built with

Returns one content page.

Warning

Pay attention to query parameters This endpoint recognizes the same query parameters as Get Multiple Pages. If the requested page does not meet the query parameters you specify, you will receive a 404 response even if the requested pageId does exist.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Content | modify |`store_v2_content`| | Content | read-only |`store_v2_content_read_only`| ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

pageIdstringRequired
The ID of the page to be operated on.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

Query parameters

includelist of enumsOptional

Include the requested property in the response. The body property returns the page’s markup, text, or raw content.

Allowed values:

Response

dataobject
metaobject
Data about the response, including pagination and collection totals.

Errors

404
Not Found Error
422
Unprocessable Entity Error

OAuth scopes

UI NamePermissionParameter
Contentmodifystore_v2_content
Contentread-onlystore_v2_content_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.